db-jdo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Craig Russell <Craig.Russ...@Sun.COM>
Subject Re: JDO API compability with JDK 1.3
Date Thu, 21 Jul 2005 16:46:17 GMT
Hi Dan,

On Jul 21, 2005, at 2:18 AM, Daniel John Debrunner wrote:

>> From: Michael Bouschen <mbo.tech@spree.de>
>>
>
>
>> I have a question what kind of JDK 1.3 compatibility do we want to
>> support?
>>
>
> I see that JDO plans to support JDK 1.3 from the wiki, but I was
> wondering why? Given the end of service dates for the various 1.3  
> VMs I
> was thinking that Derby 10.1 could be the last release to support 1.3.

For the same reason, JDO 2 will probably be the last JDO version to  
support 1.3. We expect to wrap up JDO 2 in the next couple of months  
and then it won't be an issue going forward.
>
> However if there's a good reason, and JDO would be one, Derby would  
> not
> remove 1.3 support, but I am curious what lead JDO to this decision.

If you remove 1.3 support for releases beyond 10.1, then all that  
means is that to run with 1.3, you would need 10.1 of Derby and 2.0  
of JDO. No problem.

Craig
>
> Dan.
>
>
>

Craig Russell
Architect, Sun Java Enterprise System http://java.sun.com/products/jdo
408 276-5638 mailto:Craig.Russell@sun.com
P.S. A good JDO? O, Gasp!


Mime
View raw message